textures/dangermax/grid
{
	surfaceparm	metalsteps	
    surfaceparm trans	
	surfaceparm alphashadow
	cull none
    nopicmip
	surfaceparm nolightmap
	q3map_bouncescale 0.0
	{
		map textures/dangermax/grid.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/dangermax/structure
{
	surfaceparm alphashadow
	cull none
    nopicmip
	surfaceparm nolightmap
	q3map_bouncescale 0.0
	{
		map textures/dangermax/structure.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/dangermax/trap
{
	qer_editorimage textures/dangermax/trap.tga
	surfaceparm nolightmap
	q3map_bouncescale 0.0
	{
		map textures/dangermax/trap.tga
		blendfunc filter
		rgbGen identity
		tcmod scroll 0.5 0
	}
	{
		map textures/dangermax/trap.tga
		blendfunc blend
		rgbGen identity
		tcmod scroll -0.5 0
	}
}

textures/dangermax/blacksky
{
	qer_editorimage textures/dangermax/black.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_bouncescale 0.0
	{
		map textures/dangermax/black.tga
		rgbGen identity
	}
}

textures/dangermax/sky
{
	qer_editorimage textures/dangermax/sky_clouds.tga
	
	q3map_lightImage textures/dangermax/sky_clouds.tga
	
	// light values tuned for -gamma 2 -compensate 4
	q3map_sunExt 1 1 1 5000 -20 75 2 12
	q3map_skyLight 75 3
	
	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_bouncescale 0.0
	
	skyparms textures/dangermax/env/sky 1337 -
	
	nopicmip
	
	{
		map textures/dangermax/sky_clouds.tga
		tcMod scroll 0.0025 -0.0075
		tcMod scale 0.5 0.5
		rgbGen identityLighting
	}
	{
		map textures/dangermax/sky_mask.tga
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA
		tcMod transform 0.25 0 0 0.25 0.1075 0.1075
		rgbGen identityLighting
	}
}

textures/dangermax/clangclip
{
	qer_trans 0.40
	qer_editorimage textures/dangermax/clangclip.jpg
	surfaceparm	metalsteps
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm playerclip
	q3map_bouncescale 0.0
}

//-------------------------------------------------------
//Blocs pour le blending
//-------------------------------------------------------

textures/dangermax/alpha_000
{
   qer_editorimage textures/dangermax/alpha_000.jpg
   q3map_alphaMod volume
   q3map_alphaMod set 0.0
   surfaceparm nodraw
   surfaceparm nonsolid
   surfaceparm trans
   qer_trans 0.5
}	

textures/dangermax/alpha_025
{
   qer_editorimage textures/dangermax/alpha_025.jpg
   q3map_alphaMod volume
   q3map_alphaMod set 0.25
   surfaceparm nodraw
   surfaceparm nonsolid
   surfaceparm trans
   qer_trans 0.5
}

textures/dangermax/alpha_050
{
   qer_editorimage textures/dangermax/alpha_050.jpg
   q3map_alphaMod volume
   q3map_alphaMod set 0.5
   surfaceparm nodraw
   surfaceparm nonsolid
   surfaceparm trans
   qer_trans 0.5
}	

textures/dangermax/alpha_075
{
   qer_editorimage textures/dangermax/alpha_075.jpg
   q3map_alphaMod volume
   q3map_alphaMod set 0.75
   surfaceparm nodraw
   surfaceparm nonsolid
   surfaceparm trans
   qer_trans 0.5
}	

textures/dangermax/alpha_100
{
   qer_editorimage textures/dangermax/alpha_100.jpg
   q3map_alphaMod volume
   q3map_alphaMod set 1.0
   surfaceparm nodraw
   surfaceparm nonsolid
   surfaceparm trans
   qer_trans 0.5
}

	//Fin Blend

textures/dangermax/support_blendblack
{
   qer_editorimage textures/dangermax/support_blendblack.jpg
   surfaceparm nolightmap
	q3map_bouncescale 0.0
  
   {
      map textures/dangermax/support.tga
      rgbGen identity
   }
   {
      map textures/dangermax/black.tga
      blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
      alphaGen vertex
      rgbGen identity
   }
}

textures/dangermax/support_blendwhite
{
   qer_editorimage textures/dangermax/support_blendwhite.jpg
   surfaceparm nolightmap
	q3map_bouncescale 0.0
   {
      map textures/dangermax/support.tga
      rgbGen identity
   }
   {
      map textures/dangermax/white.tga
      blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
      alphaGen vertex
      rgbGen identity
   }
}

textures/dangermax/structure_blend
{
	qer_editorimage textures/dangermax/structure_blend.jpg
	surfaceparm alphashadow
	cull none
    nopicmip
	surfaceparm nolightmap
	q3map_bouncescale 0.0
  
   {
    map textures/dangermax/structure.tga
	blendFunc GL_ONE GL_ZERO
	alphaFunc GE128
	DepthWrite
    rgbGen identity
   }
   {
      map textures/dangermax/black.tga
      blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
      alphaGen vertex
      rgbGen identity
   }
}

// ----------------------------------------------------------------------
//					-----	Terrain		-----
// ----------------------------------------------------------------------
textures/dangermax/ter_rockmoss
{
	qer_editorimage textures/terrain_soc/ter_rockmoss.jpg
	q3map_nonplanar
	q3map_shadeAngle 75
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.75 )
	{
		// Primary
		map textures/terrain_soc/rock_grey3.tga
		rgbGen identity
	}
	{
		// Secondary
		map textures/terrain_soc/ter_moss1_noalpha.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}
// ----------------------------------------------------------------------
textures/dangermax/ter_rockgravel
{
	qer_editorimage textures/terrain_soc/ter_rockgravel.jpg
	q3map_nonplanar
	q3map_shadeAngle 75
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.75 )
	{
		// Primary
		map textures/terrain_soc/rock_grey3.tga
		rgbGen identity
	}
	{
		// Secondary
		map textures/terrain_soc/ter_gravel1.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}
//-------------------------------------------------------
textures/dangermax/rock_grey2moss1
{
	qer_editorimage textures/terrain_soc/rock_grey2moss1.tga
	
	q3map_nonplanar
	q3map_shadeAngle 75
	
	{
		// Primary
		map textures/terrain_soc/rock_grey2.tga
		rgbGen identity
	}
	{
		// Secondary
		map textures/terrain_soc/ter_moss1wall.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}
// ----------------------------------------------------------------------
textures/dangermax/rock_grey2
{
	qer_editorimage textures/terrain_soc/rock_grey2.tga
	
	q3map_nonplanar
	q3map_shadeAngle 75
	
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/terrain_soc/rock_grey2.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}
// ----------------------------------------------------------------------
textures/dangermax/rock_grey2vine
{
	qer_editorimage textures/terrain_soc/rock_grey2vine.tga
	
	q3map_nonplanar
	q3map_shadeAngle 75
	
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/terrain_soc/rock_grey2vine.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

// ----------------------------------------------------------------------
textures/dangermax/rock_grey2vine_blend
{
	qer_editorimage textures/terrain_soc/rock_grey2vine_blend.tga
	
	q3map_nonplanar
	q3map_shadeAngle 75
	
	{
		// Primary
		map textures/terrain_soc/rock_grey2.tga
		rgbGen identity
	}
	{
		// Secondary
		map textures/terrain_soc/rock_grey2vine.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaFunc GE128
		rgbGen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

// ======================================================================
//				Shaders on/off pour les panneaux
// ======================================================================

textures/dangermax/panneau_lvl2_on
{
	qer_editorimage textures/dangermax/trap.tga
	surfaceparm nolightmap
	q3map_bouncescale 0.0
	{
		map textures/dangermax/trap.tga
		blendfunc filter
		rgbGen identity
		tcmod scroll 0.5 0
	}
	{
		map $whiteimage
		blendfunc filter
		rgbgen  const ( 1 0 0 )
		alphagen wave triangle 0 1 0 2
		blendfunc blend
	}
}

textures/dangermax/panneau_lvl2_off
{
	qer_editorimage textures/dangermax/sign_unactive.tga
	surfaceparm nolightmap
	q3map_bouncescale 0.0
	{
		map textures/dangermax/sign_unactive.tga
		blendfunc filter
		rgbGen identity
		tcmod scroll 0.5 0
	}
}

//-------------------------------------------------------

textures/dangermax/panneau_lvl3_on
{
	qer_editorimage textures/dangermax/trap.tga
	surfaceparm nolightmap
	q3map_bouncescale 0.0
	{
		map textures/dangermax/trap.tga
		blendfunc filter
		rgbGen identity
		tcmod scroll 0.5 0
	}
	{
		map $whiteimage
		blendfunc filter
		rgbgen  const ( 1 0 0 )
		alphagen wave triangle 0 1 0 2
		blendfunc blend
	}
}

textures/dangermax/panneau_lvl3_off
{
	qer_editorimage textures/dangermax/sign_unactive.tga
	surfaceparm nolightmap
	q3map_bouncescale 0.0
	{
		map textures/dangermax/sign_unactive.tga
		blendfunc filter
		rgbGen identity
		tcmod scroll 0.5 0
	}
}

//-------------------------------------------------------

textures/dangermax/bumper
{
	surfaceparm nodamage
	q3map_surfacelight 200
	qer_editorimage textures/dangermax/bumper.jpg
	surfaceparm nolightmap
	q3map_bouncescale 0.0
	
	{
		map textures/dangermax/bumper.jpg
		rgbGen identity
	}
	{
		map textures/dangermax/bumper_glow.tga
		blendfunc gl_one gl_one
		rgbGen wave sin .5 .5 0 0.5
	}

}

textures/dangermax/blackfog
{
	qer_editorimage textures/sfx/fog_black.tga
	surfaceparm	trans
	surfaceparm	nonsolid
	surfaceparm	fog
	surfaceparm	nolightmap
	q3map_bouncescale 0.0
	q3map_surfacelight 100
	fogparms ( 0 0 0 ) 1024
}

textures/dangermax/bluefog
{
	qer_editorimage textures/dangermax/bluefog.jpg
	surfaceparm	trans
	surfaceparm	nonsolid
	surfaceparm	fog
	surfaceparm	nolightmap
	q3map_bouncescale 0.0
	q3map_surfacelight 100
	fogparms ( 0.6 0.7 1 ) 8192
}

// ======================================================================
// MODELS //
// ======================================================================

models/mapobjects/dangermax/menhir
{
	qer_editorimage models/mapobjects/dangermax/menhir.tga
	surfaceparm nolightmap
	q3map_bouncescale 0.0
	{
		map models/mapobjects/dangermax/menhir.tga
		rgbGen identity
	}	
}

// ======================================================================
// MISE EN "NOLIGHTMAP" DES TEXTURES DE BASE //
// ======================================================================

textures/dangermax/bar_hole
{
	qer_editorimage textures/dangermax/bar_hole.jpg
	surfaceparm nolightmap
	q3map_bouncescale 0.0
	{
		map textures/dangermax/bar_hole.jpg
		rgbGen identity
	}
      
}

textures/dangermax/bar_support
{
	qer_editorimage textures/dangermax/bar_support.jpg
	surfaceparm nolightmap
	q3map_bouncescale 0.0
	{
		map textures/dangermax/bar_support.jpg
		rgbGen identity
	}
      
}

textures/dangermax/black
{
	qer_editorimage textures/dangermax/black.tga
	surfaceparm nolightmap
	q3map_bouncescale 0.0
	{
		map textures/dangermax/black.tga
		rgbGen identity
	}
      
}

textures/dangermax/block_head
{
	qer_editorimage textures/dangermax/block_head.jpg
	surfaceparm nolightmap
	q3map_bouncescale 0.0
	{
		map textures/dangermax/block_head.jpg
		rgbGen identity
	}
      
}

textures/dangermax/block_side
{
	qer_editorimage textures/dangermax/block_side.jpg
	surfaceparm nolightmap
	q3map_bouncescale 0.0
	{
		map textures/dangermax/block_side.jpg
		rgbGen identity
	}

}

textures/dangermax/bouton_2
{
	qer_editorimage textures/dangermax/bouton_2.jpg
	surfaceparm nolightmap
	q3map_bouncescale 0.0
	{
		map textures/dangermax/bouton_2.jpg
		rgbGen identity
	}

}

textures/dangermax/bouton_2_back
{
	qer_editorimage textures/dangermax/bouton_2_back.jpg
	surfaceparm nolightmap
	q3map_bouncescale 0.0
	{
		map textures/dangermax/bouton_2_back.jpg
		rgbGen identity
	}

}

textures/dangermax/block_side
{
	qer_editorimage textures/dangermax/block_side.jpg
	surfaceparm nolightmap
	q3map_bouncescale 0.0
	{
		map textures/dangermax/block_side.jpg
		rgbGen identity
	}

}

textures/dangermax/gravel
{
	qer_editorimage textures/dangermax/gravel.jpg
	surfaceparm nolightmap
	q3map_bouncescale 0.0
	{
		map textures/dangermax/gravel.jpg
		rgbGen identity
	}

}

textures/dangermax/light
{
	qer_editorimage textures/dangermax/light.jpg
	surfaceparm nolightmap
	q3map_bouncescale 0.0
	{
		map textures/dangermax/light.jpg
		rgbGen identity
	}

}

textures/dangermax/metal_trim
{
	qer_editorimage textures/dangermax/metal_trim.jpg
	surfaceparm nolightmap
	q3map_bouncescale 0.0
	{
		map textures/dangermax/metal_trim.jpg
		rgbGen identity
	}

}

textures/dangermax/planks
{
	qer_editorimage textures/dangermax/planks.jpg
	surfaceparm nolightmap
	q3map_bouncescale 0.0
	{
		map textures/dangermax/planks.jpg
		rgbGen identity
	}

}

textures/dangermax/title_1
{
	qer_editorimage textures/dangermax/title_1.jpg
	surfaceparm nolightmap
	q3map_bouncescale 0.0
	{
		map textures/dangermax/title_1.jpg
		rgbGen identity
	}

}

textures/dangermax/title_2
{
	qer_editorimage textures/dangermax/title_2.jpg
	surfaceparm nolightmap
	q3map_bouncescale 0.0
	{
		map textures/dangermax/title_2.jpg
		rgbGen identity
	}

}

textures/dangermax/title_3
{
	qer_editorimage textures/dangermax/title_3.jpg
	surfaceparm nolightmap
	q3map_bouncescale 0.0
	{
		map textures/dangermax/title_3.jpg
		rgbGen identity
	}

}

textures/dangermax/white
{
	qer_editorimage textures/dangermax/white.tga
	surfaceparm nolightmap
	q3map_bouncescale 0.0
	{
		map textures/dangermax/white.tga
		rgbGen identity
	}

}

// ======================================================================
// PLANTS
// ======================================================================
textures/plants_soc/leaf01a
{
	qer_editorimage textures/plants_soc/leaf01a.tga
	q3map_cloneShader textures/plants_soc/leaf01a_back

	q3map_vertexScale 1.25
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm alphashadow
	qer_alphafunc greater 0.5
	qer_trans 0.99
	{
		map textures/plants_soc/leaf01a.tga
		alphaFunc GE128
		rgbGen vertex
		depthWrite
	}
}
textures/plants_soc/leaf01a_back
{
	qer_editorimage textures/plants_soc/leaf01a.tga

	q3map_invert
	q3map_vertexScale 3.5
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
	{
		map textures/plants_soc/leaf01a.tga
		alphaFunc GE128
		rgbGen vertex
		depthWrite
	}
}


textures/plants_soc/grass01a
{
	qer_editorimage textures/plants_soc/grass01a.tga
	q3map_cloneShader textures/plants_soc/grass01a_back

	q3map_vertexScale 1.25
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm pointlight
	qer_trans 0.99

	deformVertexes wave 16 sin 0 0.5 0 0.1
	{
		map textures/plants_soc/grass01a.tga
		alphaFunc GE128
		rgbGen vertex
		depthWrite
	}
}
textures/plants_soc/grass01a_back
{
	qer_editorimage textures/plants_soc/grass01a.tga

	q3map_invert
	q3map_vertexScale 1.5
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm pointlight

	deformVertexes wave 16 sin 0 0.5 0 0.1
	{
		map textures/plants_soc/grass01a.tga
		alphaFunc GE128
		rgbGen vertex
		depthWrite
	}
}


// ======================================================================
// VINE
// ======================================================================
textures/plants_soc/vine01
{
	qer_editorimage textures/plants_soc/vine01.tga
	q3map_cloneShader textures/plants_soc/vine01_back
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
	qer_trans 0.99

	{
		map textures/plants_soc/vine01.tga
		alphaFunc GE128
		rgbGen vertex
		depthWrite
	}
}
textures/plants_soc/vine01_back
{
	qer_editorimage textures/plants_soc/vine01.tga

	q3map_invert
	q3map_vertexScale 0.75
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap

	deformVertexes wave 16 sin 0 0.5 0 0.1
	{
		map textures/plants_soc/vine01.tga
		alphaFunc GE128
		rgbGen vertex
		depthWrite
	}
}
// ----------------------------------------------------------------------
textures/plants_soc/vine02
{
	qer_editorimage textures/plants_soc/vine02.tga
	q3map_cloneShader textures/plants_soc/vine02_back
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
	qer_trans 0.99

	{
		map textures/plants_soc/vine02.tga
		alphaFunc GE128
		rgbGen vertex
		depthWrite
	}
}
textures/plants_soc/vine02_back
{
	qer_editorimage textures/plants_soc/vine02.tga

	q3map_invert
	q3map_vertexScale 0.75
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap

	deformVertexes wave 16 sin 0 0.5 0 0.1
	{
		map textures/plants_soc/vine02.tga
		alphaFunc GE128
		rgbGen vertex
		depthWrite
	}
}

// ----------------------------------------------------------------------
textures/plants_soc/vine04
{
	qer_editorimage textures/plants_soc/vine04.tga
	q3map_cloneShader textures/plants_soc/vine04_back
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
	qer_trans 0.99

	{
		map textures/plants_soc/vine04.tga
		alphaFunc GE128
		rgbGen vertex
		depthWrite
	}
}
textures/plants_soc/vine04_back
{
	qer_editorimage textures/plants_soc/vine04.tga

	q3map_invert
	q3map_vertexScale 0.75
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap

	deformVertexes wave 16 sin 0 0.5 0 0.1
	{
		map textures/plants_soc/vine04.tga
		alphaFunc GE128
		rgbGen vertex
		depthWrite
	}
}
// ----------------------------------------------------------------------
textures/plants_soc/vine05
{
	qer_editorimage textures/plants_soc/vine05.tga
	q3map_cloneShader textures/plants_soc/vine05_back
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
	qer_trans 0.99

	{
		map textures/plants_soc/vine05.tga
		alphaFunc GE128
		rgbGen vertex
		depthWrite
	}
}
textures/plants_soc/vine05_back
{
	qer_editorimage textures/plants_soc/vine05.tga

	q3map_invert
	q3map_vertexScale 0.75
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap

	deformVertexes wave 16 sin 0 0.5 0 0.1
	{
		map textures/plants_soc/vine05.tga
		alphaFunc GE128
		rgbGen vertex
		depthWrite
	}
}
// ----------------------------------------------------------------------
textures/plants_soc/vine06
{
	qer_editorimage textures/plants_soc/vine06.tga
	q3map_cloneShader textures/plants_soc/vine06_back
	q3map_vertexScale 1.25
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
	qer_trans 0.99

	{
		map textures/plants_soc/vine06.tga
		alphaFunc GE128
		rgbGen vertex
		depthWrite
	}
}
textures/plants_soc/vine06_back
{
	qer_editorimage textures/plants_soc/vine06.tga

	q3map_invert
	q3map_vertexScale 0.75
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap

	deformVertexes wave 16 sin 0 0.5 0 0.1
	{
		map textures/plants_soc/vine06.tga
		alphaFunc GE128
		rgbGen vertex
		depthWrite
	}
}

// ======================================================================
// TREE
// ======================================================================
textures/plants_soc/tree01_bark
{
	qer_editorimage textures/plants_soc/tree01_bark.tga

	q3map_nonplanar
	q3map_shadeAngle 75

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/plants_soc/tree01_bark.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}
// ----------------------------------------------------------------------
textures/plants_soc/tree01_stump
{
	qer_editorimage textures/plants_soc/tree01_stump.tga

	q3map_nonplanar
	q3map_shadeAngle 75

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/plants_soc/tree01_stump.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}
// ----------------------------------------------------------------------
textures/plants_soc/tree01_leaves
{
	qer_editorimage textures/plants_soc/tree01_leaves.tga
	q3map_cloneShader textures/plants_soc/tree01_leavesback

	q3map_vertexScale 1.25
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm alphashadow
	qer_trans 0.99

	deformVertexes wave 16 sin 0 1 0 .2
	{
		map textures/plants_soc/tree01_leaves.tga
		alphaFunc GE128
		rgbGen vertex
		depthWrite
	}
}
textures/plants_soc/tree01_leavesback
{
	qer_editorimage textures/plants_soc/tree01_leaves.tga

	q3map_invert
	q3map_vertexScale 3.5
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap

	deformVertexes wave 16 sin 0 1 0 .2
	{
		map textures/plants_soc/tree01_leaves.tga
		alphaFunc GE128
		rgbGen vertex
		depthWrite
	}
}